EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [options] input_file [output_file]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3 oppure EPUB formats.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPZIONI]

--compress-images, -i
    Comprimi le immagini nel libro per ridurre le dimensioni del file senza alcuna perdita di qualità.

--cover, -c
    Path to a cover image. Changes the cover specified in the e-book. If no cover is present, or the cover is not properly identified, inserts a new cover.

--embed-fonts, -e
    Incorpora tutti i font che sono riportati nel documento ma non ancora incorporati. Verranno cercati i font nel computer e, se trovati, verranno incorporati nel documento. Assicurarsi di avere le corrette licenze per incorporare i font le documento .

--help, -h
    mostra questo messaggio di aiuto ed esci

--jacket, -j
    Inserisci una "pagina di copertina" all'inizio del libro che contiene tutti i metadati come titolo, tag, autori, serie, commenti, ecc. Ogni copertina precedente sarà rimpiazzata./p>

--opf, -o
    Percorso a un file OPF. I metadati nel libro sono aggiornati dal file OPF.

--remove-jacket
    Rimuovi una copertina inserita precedentemente

--remove-unused-css, -u
    Rimuove tutte le regole CSS non utilizzate ed i tag <style>. Alcuni libri creati da template possono avere un gran numero di regole CSS che non corrispondono al contenuto. Le regole aggiuntive tendono a diminuire le prestazioni dei dispositivi di lettura.

--smarten-punctuation, -p
    Converti trattini, parentesi, apici, apostrofi, ecc. nelle loro rispettive forme tipografiche corrette. L'algoritmo potrebbe generare a volte risultati indesiderati, specialmente quando si presentano apici singoli all'inizio di contrazioni.

--subset-fonts, -f
    Sottoinsieme di caratteri significa fare in modo che un carattere integrato contenga solo i simboli utilizzati da quel carattere nel libro. Ciò riduce molto la dimensione dei file dei caratteri (è comune dimezzarne la dimensione). Ad esempio, se il libro usa un carattere specifico per i titoli, la riduzione farà si che quel carattere contenga solo i simboli presenti attualmente nei titoli del libro. Oppure se il libro contiene la versione in corsivo e in grassetto di un carattere, ma il testo in grassetto o in corsivo è relativamente raro, oppure completamente assente, allora i caratteri in corsivo e grassetto possono essere ridotti a solamente alcuni simboli, oppure completamente eliminati. L'unico svantaggio del ridurre i caratteri è che, se in seguito vuoi aggiungere altro testo al tuo libro, per il testo aggiunto potrebbero non essere sufficienti i caratteri integrati

--upgrade-book, -U
    Upgrade the internal structures of the book, if possible. For instance, upgrades EPUB 2 books to EPUB 3 books.

--verbose
    Genera un risultato più prolisso, utile per debug.

--version
    mostra la versione del programma ed esci

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal